package edu.cmu.cs.l3.absyn;

public class ASDerefLval extends ASLval {

    public ASDerefLval(int p, ASExpression varexp) {
	super(p); m_varexp = varexp;

	m_classname = "ASDerefLval";
    }

    public ASExpression getVariableExpression() {
	return m_varexp;
    }

    public String toString() {
        return m_classname;
    }

    private ASExpression m_varexp;
}